package ru.yandex.direct.web.entity.payment.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import static ru.yandex.direct.web.entity.payment.util.PaymentUtils.IS_LEGAL_PERSON_FIELD;

public class CardBindingFormRequest {

    @JsonProperty(value = IS_LEGAL_PERSON_FIELD, required = true)
    private boolean isLegalPerson;

    @JsonProperty(value = "is_mobile")
    private boolean isMobile = false;

    public boolean getIsLegalPerson() {
        return isLegalPerson;
    }

    public boolean getIsMobile() {
        return isMobile;
    }
}
